CAT(1)

NAME
cat - concatenate and print files

SYNOPSIS
cat [-benstuv] [-] [file ...]

DESCRIPTION
The cat utility reads files sequentially, writing them to the standard output. The file operands are processed in command line order. A single dash represents the standard input.

The options are as follows:

-b  Implies the -n option but doesn't number blank lines.

-e  Implies the -v option, and displays a dollar sign (‘$’) at the end of each line as well.

-n  Number the output lines, starting at 1.

-s  Squeeze multiple adjacent empty lines, causing the output to be single spaced.

-t  Implies the -v option, and displays tab characters as ‘^I’ as well.

-u  The -u option guarantees that the output is unbuffered.

-v  Displays non-printing characters so they are visible. Control characters print as ‘^X’ for control-X; the delete character (octal 0177) prints as ‘^?’ Non-ascii characters (with the high bit set) are printed as ‘M-’ (for meta) followed by the character for the low 7 bits.

The cat utility exits 0 on success, and >0 if an error occurs.

BUGS
Because of the shell language mechanism used to perform output redirection, the command “cat file1 file2 > file1” will cause the original data in file1 to be destroyed!

SEE ALSO
head(1), more(1), pr(1), tail(1), vis(1) Rob Pike, UNIX Style, or cat -v Considered Harmful, USENIX Summer Conference Proceedings, 1983.

HISTORY
A cat utility appeared in Version 1 AT&T UNIX. Dennis Ritchie designed and wrote the first man page. It appears to have been cat(1).

STANDARDS
The cat utility is expected to conform to the p1003.2-92 specification.

The flags [-benstv] are extensions to the specification.